Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.hibernate.state
Class JBossCachePersistenceManager

    java.lang.Object
      org.jboss.portal.cms.hibernate.state.JBossCachePersistenceManager

All Implemented Interfaces:
  org.apache.jackrabbit.core.state.PersistenceManager

    public class JBossCachePersistenceManager

extends java.lang.Object
implements org.apache.jackrabbit.core.state.PersistenceManager

Field Summary
`protected org.apache.jackrabbit.core.fs.FileSystem` | `blobFS` file system where BLOB data is stored (if `externalBLOBs==true`)
`protected java.lang.String` | `blobSelect`
`protected java.lang.String` | `blobSelectData`
`protected java.lang.String` | `blobSelectExist`
`protected org.apache.jackrabbit.core.state.util.BLOBStore` | `blobStore` BLOBStore that manages BLOB data in the file system (if `externalBLOBs==true`)
`protected boolean` | `externalBLOBs`
`protected static int` | `INITIAL_BUFFER_SIZE`
`protected boolean` | `initialized`
`protected java.lang.String` | `jndiName`
`protected java.lang.String` | `nodeBinValSelect`
`protected static java.lang.String` | `SCHEMA_OBJECT_PREFIX_VARIABLE`
`protected java.lang.String` | `schemaObjectPrefix`

Constructor Summary
`JBossCachePersistenceManager()`

Method Summary
`void` | `close()`
`org.apache.jackrabbit.core.state.NodeState` | `createNew(org.apache.jackrabbit.core.NodeId id)`
`org.apache.jackrabbit.core.state.PropertyState` | `createNew(org.apache.jackrabbit.core.PropertyId id)`
`boolean` | `exists(org.apache.jackrabbit.core.NodeId node)`
`boolean` | `exists(org.apache.jackrabbit.core.state.NodeReferencesId targetId)`
`boolean` | `exists(org.apache.jackrabbit.core.PropertyId property)`
`protected boolean` | `exists(java.lang.String blobid)`
`java.lang.String` | `getJNDIName()`
`java.lang.String` | `getSchemaObjectPrefix()`
`void` | `init(org.apache.jackrabbit.core.state.PMContext context)`
`boolean` | `isExternalBLOBs()`
`org.apache.jackrabbit.core.state.NodeState` | `load(org.apache.jackrabbit.core.NodeId node)`
`org.apache.jackrabbit.core.state.NodeReferences` | `load(org.apache.jackrabbit.core.state.NodeReferencesId targetId)`
`org.apache.jackrabbit.core.state.PropertyState` | `load(org.apache.jackrabbit.core.PropertyId property)`
`protected void` | `logException(java.lang.String message, java.sql.SQLException se)`
`void` | `setExternalBLOBs(boolean externalBLOBs)`
`void` | `setExternalBLOBs(java.lang.String externalBLOBs)`
`void` | `setJNDIName(java.lang.String JNDIName)`
`void` | `setSchemaObjectPrefix(java.lang.String schemaObjectPrefix)`
`void` | `store(org.apache.jackrabbit.core.state.ChangeLog changeLog)`
`void` | `storeHB(org.apache.jackrabbit.core.state.ChangeLog changeLog)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_OBJECT_PREFIX_VARIABLE

    protected static final java.lang.String SCHEMA_OBJECT_PREFIX_VARIABLE

See Also:
  Constant Field Values

### initialized

    protected boolean initialized

### jndiName

    protected java.lang.String jndiName

### schemaObjectPrefix

    protected java.lang.String schemaObjectPrefix

### externalBLOBs

    protected boolean externalBLOBs

### INITIAL_BUFFER_SIZE

    protected static final int INITIAL_BUFFER_SIZE

See Also:
  Constant Field Values

### blobSelect

    protected java.lang.String blobSelect

### blobSelectData

    protected java.lang.String blobSelectData

### blobSelectExist

    protected java.lang.String blobSelectExist

### nodeBinValSelect

    protected java.lang.String nodeBinValSelect

### blobFS

    protected org.apache.jackrabbit.core.fs.FileSystem blobFS

  file system where BLOB data is stored (if `externalBLOBs==true`)

### blobStore

    protected org.apache.jackrabbit.core.state.util.BLOBStore blobStore

  BLOBStore that manages BLOB data in the file system (if `externalBLOBs==true`)

Constructor Detail

### JBossCachePersistenceManager

    public JBossCachePersistenceManager()

Method Detail

### getJNDIName

    public java.lang.String getJNDIName()

### setJNDIName

    public void setJNDIName(java.lang.String JNDIName)

### getSchemaObjectPrefix

    public java.lang.String getSchemaObjectPrefix()

### setSchemaObjectPrefix

    public void setSchemaObjectPrefix(java.lang.String schemaObjectPrefix)

### isExternalBLOBs

    public boolean isExternalBLOBs()

### setExternalBLOBs

    public void setExternalBLOBs(boolean externalBLOBs)

### setExternalBLOBs

    public void setExternalBLOBs(java.lang.String externalBLOBs)

### init

    public void init(org.apache.jackrabbit.core.state.PMContext context)
              throws java.lang.Exception

  Specified by:
    `init` in interface `org.apache.jackrabbit.core.state.PersistenceManager`
  Throws:
    `java.lang.Exception`

### exists

    public boolean exists(org.apache.jackrabbit.core.NodeId node)
                   throws org.apache.jackrabbit.core.state.ItemStateException

  Specified by:
    `exists` in interface `org.apache.jackrabbit.core.state.PersistenceManager`
  Throws:
    `org.apache.jackrabbit.core.state.ItemStateException`

### load

    public org.apache.jackrabbit.core.state.NodeState load(org.apache.jackrabbit.core.NodeId node)
                                                    throws org.apache.jackrabbit.core.state.NoSuchItemStateException,
                                                           org.apache.jackrabbit.core.state.ItemStateException

  Specified by:
    `load` in interface `org.apache.jackrabbit.core.state.PersistenceManager`
  Throws:
    `org.apache.jackrabbit.core.state.NoSuchItemStateException`
    `org.apache.jackrabbit.core.state.ItemStateException`

### exists

    public boolean exists(org.apache.jackrabbit.core.PropertyId property)
                   throws org.apache.jackrabbit.core.state.ItemStateException

  Specified by:
    `exists` in interface `org.apache.jackrabbit.core.state.PersistenceManager`
  Throws:
    `org.apache.jackrabbit.core.state.ItemStateException`

### load

    public org.apache.jackrabbit.core.state.PropertyState load(org.apache.jackrabbit.core.PropertyId property)
                                                        throws org.apache.jackrabbit.core.state.NoSuchItemStateException,
                                                               org.apache.jackrabbit.core.state.ItemStateException

  Specified by:
    `load` in interface `org.apache.jackrabbit.core.state.PersistenceManager`
  Throws:
    `org.apache.jackrabbit.core.state.NoSuchItemStateException`
    `org.apache.jackrabbit.core.state.ItemStateException`

### exists

    public boolean exists(org.apache.jackrabbit.core.state.NodeReferencesId targetId)
                   throws org.apache.jackrabbit.core.state.ItemStateException

  Specified by:
    `exists` in interface `org.apache.jackrabbit.core.state.PersistenceManager`
  Throws:
    `org.apache.jackrabbit.core.state.ItemStateException`

### load

    public org.apache.jackrabbit.core.state.NodeReferences load(org.apache.jackrabbit.core.state.NodeReferencesId targetId)
                                                         throws org.apache.jackrabbit.core.state.NoSuchItemStateException,
                                                                org.apache.jackrabbit.core.state.ItemStateException

  Specified by:
    `load` in interface `org.apache.jackrabbit.core.state.PersistenceManager`
  Throws:
    `org.apache.jackrabbit.core.state.NoSuchItemStateException`
    `org.apache.jackrabbit.core.state.ItemStateException`

### close

    public void close()
               throws java.lang.Exception

  Specified by:
    `close` in interface `org.apache.jackrabbit.core.state.PersistenceManager`
  Throws:
    `java.lang.Exception`

### createNew

    public org.apache.jackrabbit.core.state.NodeState createNew(org.apache.jackrabbit.core.NodeId id)

  Specified by:
    `createNew` in interface `org.apache.jackrabbit.core.state.PersistenceManager`

### createNew

    public org.apache.jackrabbit.core.state.PropertyState createNew(org.apache.jackrabbit.core.PropertyId id)

  Specified by:
    `createNew` in interface `org.apache.jackrabbit.core.state.PersistenceManager`

### store

    public void store(org.apache.jackrabbit.core.state.ChangeLog changeLog)
               throws org.apache.jackrabbit.core.state.ItemStateException

  Specified by:
    `store` in interface `org.apache.jackrabbit.core.state.PersistenceManager`
  Throws:
    `org.apache.jackrabbit.core.state.ItemStateException`

### storeHB

    public void storeHB(org.apache.jackrabbit.core.state.ChangeLog changeLog)
                 throws org.apache.jackrabbit.core.state.ItemStateException

  Throws:
    `org.apache.jackrabbit.core.state.ItemStateException`

### exists

    protected boolean exists(java.lang.String blobid)
                      throws org.apache.jackrabbit.core.state.ItemStateException

  Throws:
    `org.apache.jackrabbit.core.state.ItemStateException`

### logException

    protected void logException(java.lang.String message,
                                java.sql.SQLException se)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD